body {

margin:0;
padding:0;
font-family:Arial, sans-serif;

}



#map {

height:100vh;
width:100%;

}



#controls {

position:absolute;
top:20px;
left:20px;
z-index:1000;

}



button {

padding:10px 15px;
margin:5px;

cursor:pointer;

}





.hidden {

display:none;

}




.modalContent {


background:white;

padding:20px;

border-radius:10px;

width:400px;

}



#loginModal,
#locationModal {


position:absolute;

top:50%;
left:50%;

transform:
translate(-50%,-50%);


z-index:2000;


background:rgba(0,0,0,0.5);

padding:20px;

}




input {


width:100%;

padding:8px;

margin-bottom:10px;


}



#editor {


height:200px;

background:white;

}

/* Popup Grundfenster */

.leaflet-popup-content-wrapper {

    background: #1f2937;

    color: white;

    border-radius: 12px;

    border: 2px solid #111827;

    box-shadow: 
        0 8px 25px rgba(0,0,0,0.35);

}



/* Kleiner Pfeil unter dem Popup */

.leaflet-popup-tip {

    background: #1f2937;

    border: 2px solid #111827;

}



/* Inhalt */

.leaflet-popup-content {

    margin: 15px;

    max-width: 450px;

    min-width: 220px;

    word-wrap: break-word;

    overflow-wrap: break-word;

    line-height: 1.5;

    font-size: 15px;

}



/* Überschrift */

.leaflet-popup-content h3 {

    margin-top: 0;

    margin-bottom: 10px;

    color: #60a5fa;

    font-size: 20px;

}



/* Beschreibung */

.leaflet-popup-content p {

    margin: 0;

    white-space: normal;

}



/* Schließen Button */

.leaflet-popup-close-button {

    color: white !important;

    font-size: 22px !important;

    margin-right: 5px;

}



.leaflet-popup-close-button:hover {

    color: #60a5fa !important;

}



/* Admin Buttons */

.adminButtons button {

    margin-top: 12px;

    padding: 8px 14px;

    border-radius: 8px;

    border: none;

    cursor: pointer;

    background: #2563eb;

    color:white;

    font-size:14px;

}



.adminButtons button:hover {

    background:#1d4ed8;

}


.adminButtons button:last-child {

    margin-left:10px;

    background:#dc2626;

}


.adminButtons button:last-child:hover {

    background:#b91c1c;

}
